Bug 1674509 - lynis doesn't handle case when is not executed as root
Summary: lynis doesn't handle case when is not executed as root
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lynis
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Othman Madjoudj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 14:01 UTC by Luca Moscato
Modified: 2019-10-01 03:58 UTC (History)
3 users (show)

Fixed In Version: lynis-2.7.5-4.fc30 lynis-2.7.5-4.fc31 lynis-2.7.5-4.el7 lynis-2.7.5-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 01:08:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Luca Moscato 2019-02-11 14:01:39 UTC
Description of problem:
lynis should be executed by root user (I suppose)

Version-Release number of selected component (if applicable):


How reproducible:
As use install lynis and run it

Steps to Reproduce:


Actual results:
[luca@baratheon ~]$ lynis
/usr/bin/lynis: riga 204: /usr/share/lynis/include/consts: Permission denied
[luca@baratheon ~]$ 


Expected results:
A message that alert the user something: You must execute lynis as root

Additional info:

Comment 1 Fedora Update System 2019-09-15 01:33:53 UTC
FEDORA-2019-704fa5114d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-704fa5114d

Comment 2 Fedora Update System 2019-09-15 01:39:11 UTC
FEDORA-2019-ad9d41a676 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad9d41a676

Comment 3 Fedora Update System 2019-09-15 01:44:16 UTC
FEDORA-EPEL-2019-9b6028533f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9b6028533f

Comment 4 Fedora Update System 2019-09-15 01:49:21 UTC
FEDORA-EPEL-2019-6024f97855 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6024f97855

Comment 5 Fedora Update System 2019-09-16 02:05:10 UTC
lynis-2.7.5-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-704fa5114d

Comment 6 Fedora Update System 2019-09-16 04:03:08 UTC
lynis-2.7.5-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad9d41a676

Comment 7 Fedora Update System 2019-09-16 04:08:38 UTC
lynis-2.7.5-4.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9b6028533f

Comment 8 Fedora Update System 2019-09-16 04:11:47 UTC
lynis-2.7.5-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6024f97855

Comment 9 Fedora Update System 2019-09-24 01:08:36 UTC
lynis-2.7.5-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-24 03:11:04 UTC
lynis-2.7.5-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-01 03:20:45 UTC
lynis-2.7.5-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-01 03:58:45 UTC
lynis-2.7.5-4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.